Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SelfLocatorInterfaces Class Reference

The interfaces of the SelfLocator module. More...

`#include <SelfLocator.h>`

Inheritance diagram for SelfLocatorInterfaces:

[legend]
Collaboration diagram for SelfLocatorInterfaces:

[legend]
List of all members.

## Public Member Functions
| SelfLocatorInterfaces (const LandmarksPercept &landmarksPercept, const LinesPercept &linesPercept, const EdgesPercept &edgesPercept, const SpecialPercept &specialPercept, const PSDPercept &psdPercept, const ObstaclesPercept &obstaclesPercept, const CollisionPercept &collisionPercept, const OdometryData &odometryData, const CameraMatrix &cameraMatrix, const RobotState &robotState, const GTCamWorldState &gtCamWorldState, const GameControlData &gameControlData, RobotPose &robotPose, SampleSetProxy< PoseSample > &selfLocatorSamples, LandmarksState &landmarksState, RobotPoseCollection &robotPoseCollection)
| Constructor.
## Protected Attributes
const LandmarksPercept & | landmarksPercept
| The landmarks detected in the last image.
const LinesPercept & | linesPercept
| The lines detected in the last image.
const EdgesPercept & | edgesPercept
| The edges detected in the last image.
const SpecialPercept & | specialPercept
| The special percepts detected in the last image.
const PSDPercept & | psdPercept
| The psd percepts detected with the PSD sensor.
const ObstaclesPercept & | obstaclesPercept
| The obstables percept detected in the last image/with the PSD sensor.
const CollisionPercept & | collisionPercept
| Currently detected collisions.
const OdometryData & | odometryData
| The odometry that was estimated by the motion modules.
const CameraMatrix & | cameraMatrix
| The camera matrix describing the camera's position.
const RobotState & | robotState
| The robot state.
const GTCamWorldState & | gtCamWorldState
| The worldstate generated by the GTCam.
const GameControlData & | gameControlData
| Messages that are sent by the referee.
RobotPose & | robotPose
| The robots position to be generated.
SampleSetProxy< PoseSample > & | selfLocatorSamples
| The sample set proxy linked to the sample set of the active locator.
LandmarksState & | landmarksState
| the currently seen landmarks
RobotPoseCollection & | robotPoseCollection
| the collection of candidate poses, set by the self locator

## Detailed Description

The interfaces of the SelfLocator module.

Definition at line 35 of file SelfLocator.h.

## Constructor & Destructor Documentation

SelfLocatorInterfaces::SelfLocatorInterfaces | ( | const LandmarksPercept & | landmarksPercept,
|  | const LinesPercept & | linesPercept,
|  | const EdgesPercept & | edgesPercept,
|  | const SpecialPercept & | specialPercept,
|  | const PSDPercept & | psdPercept,
|  | const ObstaclesPercept & | obstaclesPercept,
|  | const CollisionPercept & | collisionPercept,
|  | const OdometryData & | odometryData,
|  | const CameraMatrix & | cameraMatrix,
|  | const RobotState & | robotState,
|  | const GTCamWorldState & | gtCamWorldState,
|  | const GameControlData & | gameControlData,
|  | RobotPose & | robotPose,
|  | SampleSetProxy< PoseSample > & | selfLocatorSamples,
|  | LandmarksState & | landmarksState,
|  | RobotPoseCollection & | robotPoseCollection
| ) | `[inline]`

| Constructor. Definition at line 39 of file SelfLocator.h.

## Member Data Documentation

const LandmarksPercept& SelfLocatorInterfaces::landmarksPercept`[protected]`

| The landmarks detected in the last image. Definition at line 76 of file SelfLocator.h.

const LinesPercept& SelfLocatorInterfaces::linesPercept`[protected]`

| The lines detected in the last image. Definition at line 79 of file SelfLocator.h.

const EdgesPercept& SelfLocatorInterfaces::edgesPercept`[protected]`

| The edges detected in the last image. Definition at line 82 of file SelfLocator.h.

const SpecialPercept& SelfLocatorInterfaces::specialPercept`[protected]`

| The special percepts detected in the last image. Definition at line 85 of file SelfLocator.h.

const PSDPercept& SelfLocatorInterfaces::psdPercept`[protected]`

| The psd percepts detected with the PSD sensor. Definition at line 88 of file SelfLocator.h.

const ObstaclesPercept& SelfLocatorInterfaces::obstaclesPercept`[protected]`

| The obstables percept detected in the last image/with the PSD sensor. Definition at line 91 of file SelfLocator.h.

const CollisionPercept& SelfLocatorInterfaces::collisionPercept`[protected]`

| Currently detected collisions. Definition at line 94 of file SelfLocator.h.

const OdometryData& SelfLocatorInterfaces::odometryData`[protected]`

| The odometry that was estimated by the motion modules. Definition at line 97 of file SelfLocator.h.

const CameraMatrix& SelfLocatorInterfaces::cameraMatrix`[protected]`

| The camera matrix describing the camera's position. Definition at line 100 of file SelfLocator.h.

const RobotState& SelfLocatorInterfaces::robotState`[protected]`

| The robot state. Definition at line 103 of file SelfLocator.h.

const GTCamWorldState& SelfLocatorInterfaces::gtCamWorldState`[protected]`

| The worldstate generated by the GTCam. Definition at line 106 of file SelfLocator.h.

const GameControlData& SelfLocatorInterfaces::gameControlData`[protected]`

| Messages that are sent by the referee. Definition at line 109 of file SelfLocator.h.

RobotPose& SelfLocatorInterfaces::robotPose`[protected]`

| The robots position to be generated. Definition at line 112 of file SelfLocator.h.

SampleSetProxy<PoseSample>& SelfLocatorInterfaces::selfLocatorSamples`[protected]`

| The sample set proxy linked to the sample set of the active locator. Definition at line 115 of file SelfLocator.h.

LandmarksState& SelfLocatorInterfaces::landmarksState`[protected]`

| the currently seen landmarks Definition at line 118 of file SelfLocator.h.

RobotPoseCollection& SelfLocatorInterfaces::robotPoseCollection`[protected]`

| the collection of candidate poses, set by the self locator Definition at line 121 of file SelfLocator.h.

The documentation for this class was generated from the following file:

- Modules/SelfLocator/SelfLocator.h